package com.yihu.jw.entity.base.dict;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(name = "base_incentive_dict")
public class BaseIncentiveDictDO extends UuidIdentityEntityWithOperator {
    private String incentiveName;
    private String incentiveImg;
    private String incentiveStatus;
    private String isDel;
    private String incentiveCode;
    @Column(name = "incentive_name")
    public String getIncentiveName() {
        return incentiveName;
    }

    public void setIncentiveName(String incentiveName) {
        this.incentiveName = incentiveName;
    }
    @Column(name = "incentive_img")
    public String getIncentiveImg() {
        return incentiveImg;
    }

    public void setIncentiveImg(String incentiveImg) {
        this.incentiveImg = incentiveImg;
    }
    @Column(name = "incentive_status")
    public String getIncentiveStatus() {
        return incentiveStatus;
    }

    public void setIncentiveStatus(String incentiveStatus) {
        this.incentiveStatus = incentiveStatus;
    }
    @Column(name = "is_del")
    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }
    @Column(name = "incentive_code")
    public String getIncentiveCode() {
        return incentiveCode;
    }

    public void setIncentiveCode(String incentiveCode) {
        this.incentiveCode = incentiveCode;
    }
}
